var n = Object.defineProperty;
var r = (s, a, e) => a in s ? n(s, a, { enumerable: !0, configurable: !0, writable: !0, value: e }) : s[a] = e;
var t = (s, a, e) => r(s, typeof a != "symbol" ? a + "" : a, e);
var o;
(function(s) {
  s.local = "local", s.dev = "dev", s.test = "test", s.prod = "prod";
})(o || (o = {}));
const i = (s = o.dev) => ({
  local: () => ({
    authBase: "",
    apiBase: "",
    businessProcessorBase: "https://staging.k8s.rankingcoach.com/arg-business-processor-arango/"
  }),
  dev: () => ({
    authBase: "",
    apiBase: "",
    businessProcessorBase: "https://staging.k8s.rankingcoach.com/arg-business-processor-arango/"
  }),
  test: () => ({
    authBase: "",
    apiBase: "",
    businessProcessorBase: "https://staging.k8s.rankingcoach.com/arg-business-processor-arango-test/"
  })
})[s](), c = i(o.dev);
class b {
  constructor(a, e = c.apiBase) {
    t(this, "base");
    t(this, "endPoint");
    this.base = e, this.endPoint = a;
  }
  get() {
    return `${this.base}${this.endPoint}`;
  }
}
export {
  o as ActiveEnvs,
  i as ApiConfig,
  b as EndPoint,
  c as apiConfig
};
